<?php

namespace App\Menu;

use Sebastienheyd\Boilerplate\Menu\Builder;

class Contents
{
    public function make(Builder $menu)
    {
        $menu->add('Contenus', ['icon' => 'newspaper'])
            ->id('contents')
            ->order(6);

        $menu->addTo('contents', 'Contenus', [
            'route' => 'Admin.Shop.Contents.index',
        ])->activeIfRoute(['Admin.Shop.Contents.*'])->order(1);

        $menu->addTo('contents', 'Template de Mails', [
            'route' => 'Admin.Core.Mail.MailTemplate.index',
        ])->activeIfRoute(['Admin.Core.Mail.MailTemplate.*'])->order(2);
    }
}
